<?php

function togmine_push_tickets($account) {
  static $entries;
  if (!isset($entries)) {
    // @todo These are called "time_entries" as of toggl.com/api/v6
    $entries = togmine_push_tickets_get_time_entries();
    rve($entries, 'time entries');
  }

  // @todo Two: Do this foreach entry.
  $entry = toggl_time_entry_save($entries[0]);
  // @todo Two: Save a reference to the time entry ID for this user and this 
  // issue ID.
}

function togmine_push_tickets_get_time_entries() {
  $entries = array();

  $sunday = date_create('last sunday');
  $workspace = new stdClass();
  // $workspace->id = variable_get('toggl_workspace_id', FALSE);
  $base_entry = array(
    'duration' => 0,
    // @todo Two: Set this from the Redmine issue or project?
    'billable' => TRUE,
    'start' => $sunday->format(TOGGL_DATE_FORMAT),
    'workspace' => $workspace,
    'project' => new stdClass(),
    'task' => new stdClass(),
    'created_with' => t('TogMine: Autocomplete Suggestions'),
  );

  $result = db_query('SELECT * FROM {togmine_projects}');
  while ($row = db_fetch_object($result)) {
    foreach (redmine_api_fetch_all('issues', array('project_id' => $row->redmine_project_id)) as $issue) {
      $t_args = array(
        '!id' => $issue->id,
        '!description' => $issue->subject,
      );

      $entry = (Object) $base_entry;
      // $entry->project->id = $row->toggl_project_id;
      $entry->description = t('#!id !description', $t_args);
      // $entry->task = @todo;
      $entries[] = $entry;
    }
  }

  return $entries;
}
